summaryrefslogtreecommitdiff
path: root/tools/osx_packaging/startup_script
diff options
context:
space:
mode:
authorPaul Davis <paul@linuxaudiosystems.com>2008-12-12 14:43:24 +0000
committerPaul Davis <paul@linuxaudiosystems.com>2008-12-12 14:43:24 +0000
commitbc89fe0147c04b67141936d109c00dfd4d69cc4b (patch)
tree544ff450c40fe1f43853a8420228a26f27f1eafb /tools/osx_packaging/startup_script
parent30daaebaa2d90d6b0e8673143ccc3cacd7bd1753 (diff)
most of the 2.X->3.0 commit (up to rev 4299) except for gtk2_ardour/editor_canvas.cc; builds and runs and does a few specific things but expect it to be buggy for a while yet
git-svn-id: svn://localhost/ardour2/branches/3.0@4313 d708f5d6-7413-0410-9779-e7cbd77b26cf
Diffstat (limited to 'tools/osx_packaging/startup_script')
-rw-r--r--tools/osx_packaging/startup_script24
1 files changed, 24 insertions, 0 deletions
diff --git a/tools/osx_packaging/startup_script b/tools/osx_packaging/startup_script
new file mode 100644
index 0000000000..c7b9b5acf8
--- /dev/null
+++ b/tools/osx_packaging/startup_script
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+#
+# NOTE: Leopard appears not to set PATH for this script, so be absolutely certain
+# never to use any other program without fully specifying the path.
+#
+# this is used to detect a missing JACK install which
+# is the most common thing causing startup crashes.
+#
+
+if test ! -x /usr/local/bin/jackd -a ! -x /usr/bin/jackd ; then
+ /usr/bin/osascript -e 'tell application "Finder"
+display dialog "You do not have JACK installed. Ardour will not run without it. See http://jackaudio.org/ for info" buttons["OK"]
+end tell'
+ exit 1
+fi
+
+#
+# all clear, lets go
+# this quoting is all needed to handle installation
+# in folders likes /home/user/Frank's Wild Years
+
+CWD="`/usr/bin/dirname \"$0\"`"
+exec "$CWD/Ardour2.bin" "$*"